Subject: Re: sockets on WinNT and UNIX
From: [email-masked] (JP Shipherd)

20 Mar 1997 19:41:55 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0 (32)
Original-To: [email-masked] (Philippe Le Parc)
Original-Cc: [email-masked]
Original-Sender: [email-masked]

Does your client connect to the server when the client is running on one
unix box and the server on another?  What about two windows boxes?

Can your windows box "see" the unix network?  

--jp

At 05:17 PM 3/20/97 +0100, you wrote:
>
>
>Hello,
>
>I try to use sockets : I want to make a client on WinNT and a server on
>Unix.
>
>I have made two small programs : a client send a message on a socket and
>the server just respond. 
>When I compile both program on Unix (of course with gcc) and I execute
>the two programs on Unix, it works. 
>When I compile both program on WinNT (with gcc-cygnus-2.7.1-960712)
>and I execute the two programs on WinNT, it works. 
>But when I tried to make a connection between the client on WinNT and
>the server on Unix, I have a "connection refused" message.
>
>Could someone help me ? 
>
>
>
>
>
>
>-----------------------------------------------------------------------------
>Philippe Le Parc	
>
>UBO - Dept. Informatique   			[email-masked]
>6 av V. Le Gorgeu				tel : 02.98.01.69.60
>BP 452						fax : 02.98.01.69.56
>29275 Brest Cedex
>-----------------------------------------------------------------------------
>
>
>
>
>-
>For help on using this list, send a message to
>"[email-masked]" with one line of text: "help".
>
>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".